Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet.mvc
[Java] Class GrailsWebRequestFilter

    java.lang.Object
      org.springframework.web.filter.GenericFilterBean
          org.springframework.web.filter.OncePerRequestFilter
              org.codehaus.groovy.grails.web.servlet.mvc.GrailsWebRequestFilter

    public class GrailsWebRequestFilter
    extends org.springframework.web.filter.OncePerRequestFilter

Binds a GrailsWebRequestFilter to the currently executing thread.

Authors:
  Graeme Rocher

Since:
  0.4

Field Summary

Fields inherited from class org.springframework.web.filter.OncePerRequestFilter
ALREADY_FILTERED_SUFFIX

Method Summary
`protected void` | `doFilterInternal(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.FilterChain filterChain)`
`protected void` | `initFilterBean()`
`void` | `initialize()`

Methods inherited from class org.springframework.web.filter.OncePerRequestFilter
org.springframework.web.filter.OncePerRequestFilter#doFilter(javax.servlet.ServletRequest, javax.servlet.ServletResponse, javax.servlet.FilterChain), org.springframework.web.filter.OncePerRequestFilter#init(javax.servlet.FilterConfig), org.springframework.web.filter.OncePerRequestFilter#destroy(), org.springframework.web.filter.OncePerRequestFilter#setEnvironment(org.springframework.core.env.Environment), org.springframework.web.filter.OncePerRequestFilter#afterPropertiesSet(), org.springframework.web.filter.OncePerRequestFilter#setBeanName(java.lang.String), org.springframework.web.filter.OncePerRequestFilter#setServletContext(javax.servlet.ServletContext), org.springframework.web.filter.OncePerRequestFilter#getFilterConfig(), org.springframework.web.filter.OncePerRequestFilter#wait(), org.springframework.web.filter.OncePerRequestFilter#wait(long), org.springframework.web.filter.OncePerRequestFilter#wait(long, int), org.springframework.web.filter.OncePerRequestFilter#equals(java.lang.Object), org.springframework.web.filter.OncePerRequestFilter#toString(), org.springframework.web.filter.OncePerRequestFilter#hashCode(), org.springframework.web.filter.OncePerRequestFilter#getClass(), org.springframework.web.filter.OncePerRequestFilter#notify(), org.springframework.web.filter.OncePerRequestFilter#notifyAll()

Methods inherited from class org.springframework.web.filter.GenericFilterBean
org.springframework.web.filter.GenericFilterBean#init(javax.servlet.FilterConfig), org.springframework.web.filter.GenericFilterBean#destroy(), org.springframework.web.filter.GenericFilterBean#setEnvironment(org.springframework.core.env.Environment), org.springframework.web.filter.GenericFilterBean#afterPropertiesSet(), org.springframework.web.filter.GenericFilterBean#setBeanName(java.lang.String), org.springframework.web.filter.GenericFilterBean#setServletContext(javax.servlet.ServletContext), org.springframework.web.filter.GenericFilterBean#getFilterConfig(), org.springframework.web.filter.GenericFilterBean#wait(), org.springframework.web.filter.GenericFilterBean#wait(long), org.springframework.web.filter.GenericFilterBean#wait(long, int), org.springframework.web.filter.GenericFilterBean#equals(java.lang.Object), org.springframework.web.filter.GenericFilterBean#toString(), org.springframework.web.filter.GenericFilterBean#hashCode(), org.springframework.web.filter.GenericFilterBean#getClass(), org.springframework.web.filter.GenericFilterBean#notify(), org.springframework.web.filter.GenericFilterBean#notifyAll(), org.springframework.web.filter.GenericFilterBean#doFilter(javax.servlet.ServletRequest, javax.servlet.ServletResponse, javax.servlet.FilterChain)

Method Detail

### doFilterInternal

    @Override
    protected void doFilterInternal(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.FilterChain filterChain)

### initFilterBean

    protected void initFilterBean()

### initialize

    public void initialize()

Groovy Documentation